Package org.eclipse.birt.report.engine.api.script

# Interface IRowData

public interface IRowData
Represents the computed expression results that are bound to the current row. The index starts with 1, which reprents the first expression in the row.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
Return the count of the bouding exprssions.
`String`
`getColumnName(int index)`
Return the name of the bouding exprssion by id.
`Object`
`getColumnValue(int index)`
Return the value of the bouding exprssion by id.
`Object`
`getColumnValue(String name)`
Return the value of the bouding exprssion.
`int`
`getExpressionCount()`
Deprecated.
`Object`
`getExpressionValue(int i)`
Deprecated.
Now do not support get expression value by index.
`Object`
`getExpressionValue(String expression)`
Deprecated.
Return the value of the provided expression.

## Method Details

### getExpressionValue

@Deprecated Object getExpressionValue(String expression) throws ScriptException
Deprecated.
Return the value of the provided expression. The provided expression must have been bound to the current row. Otherwise, it returns null.

Throws:
  `ScriptException`

### getExpressionValue

@Deprecated Object getExpressionValue(int i) throws ScriptException
Deprecated.
Now do not support get expression value by index. Return the value of the i:th expression in the current row. Null will be return if the i:th expression doesn't exist.

Throws:
  `ScriptException`

### getExpressionCount

@Deprecated int getExpressionCount()
Deprecated.
Return the number of expressions bound to the current row.

### getColumnValue

Object getColumnValue(String name) throws ScriptException
Return the value of the bouding exprssion.

Parameters:
  `name` -
Throws:
  `Exception`
  `ScriptException`

### getColumnValue

Object getColumnValue(int index) throws ScriptException
Return the value of the bouding exprssion by id.

Parameters:
  `name` -
Throws:
  `Exception`
  `ScriptException`

### getColumnName

String getColumnName(int index)
Return the name of the bouding exprssion by id.

Parameters:
  `index` -

### getColumnCount

int getColumnCount()
Return the count of the bouding exprssions.